﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using PDFStampCom;
using System.IO;
using System.Drawing.Imaging;
using System.Runtime.InteropServices;

namespace WindowsFormsApplication1
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            string appPath = Path.GetDirectoryName(Application.ExecutablePath);

            // please run following command line to register PDFStampCom.exe COM interface first,
            // PDFStampCom.exe COM can be called from both 32bit and 64bit applications
            // 
            // PDFStampCom.exe /regserver
            // 
            System.Type pdfstampType = System.Type.GetTypeFromProgID("PDFStampCom.CPDFStamp");
            PDFStampCom.CPDFStamp pdfstamp = (PDFStampCom.CPDFStamp)System.Activator.CreateInstance(pdfstampType);

            pdfstamp.veryRegEx("XXXXXXXXXXXXXXXXX");

            string strInPDF = appPath + "\\example.pdf";
            string strOutPDF = appPath + "\\example_bates_number.pdf";

            int Very_Set_Range = 131;
            int Very_Set_Opacity = 240;
            int Very_Get_Opacity = 240;
            int Very_Get_PdfPageCount = 206;
            int Very_Get_PageBoxForStamp = 260;
            int Very_Set_EmbedFont = 241;
            int Very_Get_EmbedFont = 241;
            int Very_Set_TransparentColor = 242;

            int stampPos = 0;
            int color = 0;

            int id = pdfstamp.veryOpenEx(strInPDF, strOutPDF);
            if (id > 0)
            {
	            pdfstamp.veryAddTextEx(id, stampPos, "Bates Number \\B(00001)", color, 0, 0, 0, 0, 0, 0, 0, "arial", 10, 0, "", 0);
	            pdfstamp.veryCloseEx (id);
            }
        }
    }
}
